@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

:root {
    --primary-color: #7C3AED;
    --off-white: #F3F4F6;
    --dark-gray: #6B7280;
}

body {
    font-family: 'Montserrat', sans-serif;
    margin: 0px auto;
    max-width: 80%;
    width: 100%;
}

hr {
    margin: 2rem 0rem;
}

/** spaces **/

.margin-md {
    margin: 2rem;
}

/** container **/
.container {
    padding: 0rem 1rem;
}

.container-center {
    max-width: 900px;
    width: 100%;
    margin: auto;
}
  

/** links **/
.link {
    box-sizing: border-box;
    text-decoration: none;
    padding: 0.5rem 1rem;
}

.link-primary {
    background-color: var(--primary-color);
    border-radius: 0.5rem;
    color: white;
  display: block;
    max-width: 140px;
    margin: 1rem 0rem   ;
}

.link-secondary {
    color: white;
    border-radius: 0.5rem;
    border: 1px solid var(--primary-color);
    display: block;
    max-width: 140px;
    margin: 1rem 1rem 1rem 0rem;
    background-color: #7C3AED;
}

/** look into BEM naming convention for CSS **/

/** lists **/


.list-item-inline {
    display:inline ;
    padding: 0rem 0.5rem;
}

/** navigation **/

.navigation {
    background-color: var(--primary-color);
    color: white;
    padding: 1rem;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
    
}

.navigation .nav-brand {
    font-weight: bold;
}

.navigation .nav-pills {
    text-align: right;
}

.navigation .link {
    color: white;
}

.navigation .link-active {
    font-weight: bold;
}

/** header **/

.hero {
    padding: 2rem;
    padding-top: 5rem;

}

.hero .hero-img {
    max-width: 80%;
    width: 350px;
    display: block;
    margin: auto;
}

.hero .hero-heading {
    text-align: center;
    padding-top: 1rem;
    color: var(--dark-gray);
}

.hero .hero-heading .heading-inverted {
    color: var(--primary-color);
}

/** sections **/

.section {
    padding: 2rem;
}

.section h1 {
    text-align: center;

}

.ow {
    background-color: var(--off-white);
}

/** footers **/

.footer {
    background-color:var(--primary-color);
    padding: 1.5rem ;
    text-align: center;
    color: white;
    border-top-right-radius: 1rem;
    border-top-left-radius: 1rem;

}

.footer .link {
    color:white;
}

.footer .footer-header {
    font-weight: bold;
    font-size: large;
}

.footer ul {
    padding-inline-start: 0px;
}

/** projects **/
.showcase-list {
    padding: 2rem;
}

/** blogs **/
.showcase-blog {
    padding-bottom: 6rem;
    
}
.blogs{
    color: cornflowerblue;
    text-align: center;

}
.iphone{
    color: black;
    text-align: center;
}
.mobile{
    max-width: 15%;
    width: 350px;
    display: block;
    margin: auto;
    text-align: center;
}
.summary{
    color: #7C3AED;
}
.screen{
    padding: 2rem;
    text-align-last: center;
}
.features{
    color: #7C3AED ;
}
.readmore{
    color: white;
    border: 1px solid;
    display: block;
    max-width: 140px;
    background-color:#7C3AED ;
    border-radius: 0.5rem;
    text-decoration: none;

    
}
.project, .blog{
    text-align: center;
    border: 1px solid;
    border-radius: 1rem;
    background-color: #f3f4f6;
    padding: 5rem 1rem;
    border-color: var(--off-white);


}
.code{
   text-align: center;
   display: inline; 
   padding: 1rem;
}
.source{
    text-decoration: none;
    padding: 0.5rem;
     border: 1px solid;
     background-color: #7C3AED;
     color: white;
     border-radius: 0.5rem;
}
.project1, .blog1{
    text-align: center;
    border: 1px solid;
    border-radius: 1rem;
    padding:5rem 1rem;
    border-color: white;
    
    
}


@media (max-width: 900px) {
    body {
      max-width: 95%;
      width: 100%;
    }
  
    .list-item-inline {
      display: inline;
      padding: 0rem;
    }
  
    .container-center {
      width: auto;
    }
  
    .link-primary {
      display: block;
    }
  }
  .para{
      text-align: center;
  }
  
